Package org.pushingpixels.substance.flamingo.ribbon.ui

# Class SubstanceRibbonFrameTitlePane.RibbonFrameTitlePaneLayout

java.lang.Object
org.pushingpixels.substance.flamingo.ribbon.ui.SubstanceRibbonFrameTitlePane.RibbonFrameTitlePaneLayout

All Implemented Interfaces:
  `LayoutManager`

Enclosing class:
  `SubstanceRibbonFrameTitlePane`

protected class SubstanceRibbonFrameTitlePane.RibbonFrameTitlePaneLayout extends Object
Custom layout manager for the title panes of `JRibbonFrame` under decorated mode.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RibbonFrameTitlePaneLayout()`

## Method Summary

Modifier and Type
Method
Description
`void`
`layoutContainer(Container c)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RibbonFrameTitlePaneLayout

protected RibbonFrameTitlePaneLayout()

## Method Details

### layoutContainer

public void layoutContainer(Container c)

Specified by:
  `layoutContainer` in interface `LayoutManager`